For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
            • GETList Channels
            • POSTCreate Channel
            • GETGet Channel
            • PUTUpdate Channel
              • GETGet Channel Site
              • POSTCreate Channel Site
              • PUTUpdate Channel Site
              • DELDelete Channel Site
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementChannelsSite

Create Channel Site

POST
https://api.bigcommerce.com/stores/:store_hash/v3/channels/:channel_id/site
POST
/stores/:store_hash/v3/channels/:channel_id/site
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/channels/1/site \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{
2 "data": {
3 "id": 1,
4 "url": "https://kittens.mybigcommerce.com/",
5 "channel_id": 1,
6 "created_at": "2018-01-04T04:15:50.000Z",
7 "updated_at": "2018-01-04T04:15:50.000Z",
8 "ssl_status": "dedicated",
9 "urls": [
10 {
11 "url": "https://kittens.mybigcommerce.com/",
12 "type": "checkout",
13 "created_at": "2018-01-04T04:15:50.000Z",
14 "updated_at": "2018-01-04T04:15:50.000Z"
15 }
16 ],
17 "is_checkout_url_customized": true
18 },
19 "meta": {}
20}
Alias of POST `/sites`. Creates a site for provided channel. <Callout type="info"> For the "urls" object, we no longer modify the `www` prefix of the primary URL. The API returns URLs exactly as the customer enters them, similar to the "url" field. * If the customer saves a URL with `www`, the API returns it with `www`. * If the customer saves a URL without `www`, the API returns it without `www`. </Callout>
Was this page helpful?
Previous

Get Channel Site

Next

Update Channel Site

Built with

Alias of POST /sites. Creates a site for provided channel.

For the “urls” object, we no longer modify the www prefix of the primary URL. The API returns URLs exactly as the customer enters them, similar to the “url” field.

  • If the customer saves a URL with www, the API returns it with www.
  • If the customer saves a URL without www, the API returns it without www.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Channel Listings | modify | `store_channel_listings` | | Channel Listings | read-only | `store_channel_listings_read_only` | | Channel Settings | modify | `store_channel_settings` | | Channel Settings | read-only | `store_channel_settings_read_only` | | Sites & Routes | modify | `store_sites` | | Sites & Routes | read-only | `store_sites_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

channel_idlongRequired
The ID of a channel.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
urlstringOptional

The Fully Qualified URL (including host and scheme) where this site is hosted. All URLs generated for this site will be appended to this.

channel_idintegerOptional
The channel this site is attached to. Each site belongs to a single channel, and each channel can have either zero or one sites.

Response

dataobject
metaobject
Response metadata.

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.